module pcie_ed_DMA_CONTROLLER (
		input  wire         Clk_i,                 //          clk.clk
		input  wire         Rstn_i,                //        reset.reset_n
		input  wire [11:0]  dma_s_address_i,       //    dma_slave.address
		input  wire         dma_s_read_i,          //             .read
		output wire [511:0] dma_s_readdata_o,      //             .readdata
		output wire         dma_s_readdatavalid_o, //             .readdatavalid
		input  wire         dma_s_write_i,         //             .write
		input  wire [511:0] dma_s_writedata_i,     //             .writedata
		output wire         dma_s_waitrequest_o,   //             .waitrequest
		input  wire [63:0]  dma_s_byteenable_i,    //             .byteenable
		output wire [1:0]   dma_s_response_o,      //             .response
		input  wire [3:0]   dma_s_burstcount_i,    //             .burstcount
		input  wire [1:0]   dma_wrdm_pfnum_i,      // wrdm_conduit.pfnum
		input  wire         dma_wrdm_desc_ready_i, //    wrdm_desc.ready
		output wire         dma_wrdm_desc_valid_o, //             .valid
		output wire [173:0] dma_wrdm_desc_data_o,  //             .data
		input  wire         dma_wrdm_prio_ready_i, //    wrdm_prio.ready
		output wire         dma_wrdm_prio_valid_o, //             .valid
		output wire [173:0] dma_wrdm_prio_data_o,  //             .data
		input  wire         dma_wrdm_tx_valid_i,   //      wrdm_tx.valid
		input  wire [31:0]  dma_wrdm_tx_data_i,    //             .data
		input  wire [1:0]   dma_rddm_pfnum_i,      // rddm_conduit.pfnum
		input  wire         dma_rddm_desc_ready_i, //    rddm_desc.ready
		output wire         dma_rddm_desc_valid_o, //             .valid
		output wire [173:0] dma_rddm_desc_data_o,  //             .data
		input  wire         dma_rddm_prio_ready_i, //    rddm_prio.ready
		output wire         dma_rddm_prio_valid_o, //             .valid
		output wire [173:0] dma_rddm_prio_data_o,  //             .data
		input  wire         dma_rddm_tx_valid_i,   //      rddm_tx.valid
		input  wire [31:0]  dma_rddm_tx_data_i     //             .data
	);
endmodule

