	component pcie_ed_MEM0 is
		port (
			address        : in  std_logic_vector(8 downto 0)   := (others => 'X'); -- address
			byteenable     : in  std_logic_vector(63 downto 0)  := (others => 'X'); -- byteenable
			read           : in  std_logic                      := 'X';             -- read
			burstcount     : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- burstcount
			readdata       : out std_logic_vector(511 downto 0);                    -- readdata
			readdatavalid  : out std_logic;                                         -- readdatavalid
			response       : out std_logic_vector(1 downto 0);                      -- response
			waitrequest    : out std_logic;                                         -- waitrequest
			clk            : in  std_logic                      := 'X';             -- clk
			reset          : in  std_logic                      := 'X';             -- reset
			address2       : in  std_logic_vector(8 downto 0)   := (others => 'X'); -- address
			byteenable2    : in  std_logic_vector(63 downto 0)  := (others => 'X'); -- byteenable
			read2          : in  std_logic                      := 'X';             -- read
			write2         : in  std_logic                      := 'X';             -- write
			writedata2     : in  std_logic_vector(511 downto 0) := (others => 'X'); -- writedata
			burstcount2    : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- burstcount
			readdata2      : out std_logic_vector(511 downto 0);                    -- readdata
			readdatavalid2 : out std_logic;                                         -- readdatavalid
			waitrequest2   : out std_logic                                          -- waitrequest
		);
	end component pcie_ed_MEM0;

	u0 : component pcie_ed_MEM0
		port map (
			address        => CONNECTED_TO_address,        -- avalon_slave_0.address
			byteenable     => CONNECTED_TO_byteenable,     --               .byteenable
			read           => CONNECTED_TO_read,           --               .read
			burstcount     => CONNECTED_TO_burstcount,     --               .burstcount
			readdata       => CONNECTED_TO_readdata,       --               .readdata
			readdatavalid  => CONNECTED_TO_readdatavalid,  --               .readdatavalid
			response       => CONNECTED_TO_response,       --               .response
			waitrequest    => CONNECTED_TO_waitrequest,    --               .waitrequest
			clk            => CONNECTED_TO_clk,            --          clock.clk
			reset          => CONNECTED_TO_reset,          --          reset.reset
			address2       => CONNECTED_TO_address2,       -- avalon_slave_1.address
			byteenable2    => CONNECTED_TO_byteenable2,    --               .byteenable
			read2          => CONNECTED_TO_read2,          --               .read
			write2         => CONNECTED_TO_write2,         --               .write
			writedata2     => CONNECTED_TO_writedata2,     --               .writedata
			burstcount2    => CONNECTED_TO_burstcount2,    --               .burstcount
			readdata2      => CONNECTED_TO_readdata2,      --               .readdata
			readdatavalid2 => CONNECTED_TO_readdatavalid2, --               .readdatavalid
			waitrequest2   => CONNECTED_TO_waitrequest2    --               .waitrequest
		);

