# (C) 2001-2025 Altera Corporation. All rights reserved.
# Your use of Altera Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Altera Program License Subscription 
# Agreement, Altera IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Altera and sold by 
# Altera or its authorized distributors.  Please refer to the applicable 
# agreement for further details.


##########################################################################################################################################
##  Main
##########################################################################################################################################
set FAMILY              "Agilex 7"

##  Note: get_current_instance cant be used because of "no_auto_instance_discovery" parameter set during add_fileset 
#
### For AVMM RP and EP Adapter (path to divider is same) 
##S10
if {[string match $FAMILY "Stratix 10"] == 1 } {
     if {[get_collection_size [get_clocks -nowarn {*|maib_and_tile|rx_pcs_x2_clk|ch15}]] != 0 && [get_collection_size [get_clocks {*|dcore*|pio_clkCtrl|intel_pio_clkctrl|clkdiv_inst|clock_div2}]] != 0} {
        set_clock_groups -asynchronous -group [get_clocks {*|maib_and_tile|rx_pcs_x2_clk|ch15}] -group [get_clocks {*|dcore*|pio_clkCtrl|intel_pio_clkctrl|clkdiv_inst|clock_div2}]
    }
}
##FM
if {[string match $FAMILY "Agilex 7"] == 1 } {
     if {[get_collection_size [get_clocks -nowarn {*|maib_and_tile|xcvr_hip_native|rx_ch15}]] != 0 && [get_collection_size [get_clocks {*|dcore*|pio_clkCtrl|intel_pio_clkctrl|clkdiv_inst|clock_div2}]] != 0} {
        set_clock_groups -asynchronous -group [get_clocks {*|maib_and_tile|xcvr_hip_native|rx_ch15}] -group [get_clocks {*|dcore*|pio_clkCtrl|intel_pio_clkctrl|clkdiv_inst|clock_div2}]
    }
}

