
namespace eval pcie_ed_dut {
  proc get_memory_files {QSYS_SIMDIR QUARTUS_INSTALL_DIR} {
    set memory_files [list]
    return $memory_files
  }
  
  proc get_common_design_files {QSYS_SIMDIR} {
    set design_files [dict create]
    return $design_files
  }
  
  proc get_design_files {QSYS_SIMDIR QUARTUS_INSTALL_DIR} {
    set design_files [dict create]
    dict set design_files "pcie_ed_dut_altera_iopll_2000_l55o6ui.vo"        "$QSYS_SIMDIR/../altera_iopll_2000/sim/pcie_ed_dut_altera_iopll_2000_l55o6ui.vo"                                                                 
    dict set design_files "intel_ptile_io_pll_250.v"                        "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intel_ptile_io_pll_250.v"                                                                          
    dict set design_files "pcie_ed_dut_intel_pcie_ptile_ast_922_r6eeyuq.sv" "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/pcie_ed_dut_intel_pcie_ptile_ast_922_r6eeyuq.sv"                                                   
    dict set design_files "soft_logic_interfaces.sv"                        "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/soft_logic_interfaces.sv"                                                                          
    dict set design_files "pcie_wrapper.sv"                                 "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/pcie_wrapper.sv"                                                                                   
    dict set design_files "altera_std_synchronizer_nocut.v"                 "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/altera_std_synchronizer_nocut.v"                                                                   
    dict set design_files "ptile_pcie_adapter_wrapper.sv"                   "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/ptile_pcie_adapter_wrapper.sv"                                                           
    dict set design_files "pcie_cii_ari_decode.sv"                          "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/pcie_cii_ari_decode.sv"                                                      
    dict set design_files "pcie_cii_10bit_tag.sv"                           "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/pcie_cii_10bit_tag.sv"                                                       
    dict set design_files "pcie_cii_workaround.sv"                          "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/pcie_cii_workaround.sv"                                                      
    dict set design_files "phy_user_avmm_arb.sv"                            "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/phy_user_avmm_arb.sv"                                                        
    dict set design_files "ptile_rst_seq.sv"                                "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/ptile_rst_seq.sv"                                                            
    dict set design_files "ptile_pcie_soft_glue.sv"                         "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/ptile_pcie_soft_glue.sv"                                                     
    dict set design_files "ptile_pcie_user_avmm_adapter.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/ptile_pcie_user_avmm_adapter.sv"                                             
    dict set design_files "ptile_prs_soft_logic.sv"                         "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/ptile_prs_soft_logic.sv"                                                     
    dict set design_files "whr_rx_deskew.sv"                                "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/whr_rx_deskew.sv"                                                            
    dict set design_files "whr_tx_deskew.sv"                                "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/whr_tx_deskew.sv"                                                            
    dict set design_files "wrlib_rx_aib_deskew.sv"                          "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/wrlib_rx_aib_deskew.sv"                                                      
    dict set design_files "wrlib_rx_aib_deskew_datapipe.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/wrlib_rx_aib_deskew_datapipe.sv"                                             
    dict set design_files "wrlib_rx_aib_deskew_sm.sv"                       "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/wrlib_rx_aib_deskew_sm.sv"                                                   
    dict set design_files "wrlib_ecc_dec_c78_d70.sv"                        "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/wrlib_ecc_dec_c78_d70.sv"                                                    
    dict set design_files "whr_ecc_chk_deskew_top.sv"                       "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/whr_ecc_chk_deskew_top.sv"                                                   
    dict set design_files "whr_ecc_gen_top.sv"                              "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/whr_ecc_gen_top.sv"                                                          
    dict set design_files "wrlib_ecc_enc_d70_c78.sv"                        "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/wrlib_ecc_enc_d70_c78.sv"                                                    
    dict set design_files "gf_clkmux.sv"                                    "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/gf_clkmux.sv"                                                                
    dict set design_files "pcie_decremental_cdt_wa.sv"                      "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/soft_logics/pcie_decremental_cdt_wa.sv"                                                  
    dict set design_files "intel_pcie_adapter_rx_if.sv"                     "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/sngl_seg/intel_pcie_adapter_rx_if.sv"                                           
    dict set design_files "intel_pcie_adapter_tx_if.sv"                     "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/sngl_seg/intel_pcie_adapter_tx_if.sv"                                           
    dict set design_files "intel_pcie_adapter_stos.sv"                      "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/sngl_seg/intel_pcie_adapter_stos.sv"                                            
    dict set design_files "intel_pcie_whr_gen4x8_adapter.sv"                "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_adapter.sv"                                          
    dict set design_files "intel_pcie_whr_gen4x8_cfg_if.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_cfg_if.sv"                                           
    dict set design_files "intel_pcie_whr_gen4x8_cii_if.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_cii_if.sv"                                           
    dict set design_files "intel_pcie_whr_gen4x8_credit_if.sv"              "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_credit_if.sv"                                        
    dict set design_files "intel_pcie_whr_gen4x8_dcfifo.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_dcfifo.sv"                                           
    dict set design_files "intel_pcie_whr_gen4x8_error_if.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_error_if.sv"                                         
    dict set design_files "intel_pcie_whr_gen4x8_flr_if.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_flr_if.sv"                                           
    dict set design_files "intel_pcie_whr_gen4x8_gpx3.sv"                   "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_gpx3.sv"                                             
    dict set design_files "intel_pcie_whr_gen4x8_hard_ip_status_if.sv"      "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_hard_ip_status_if.sv"                                
    dict set design_files "intel_pcie_whr_gen4x8_hot_plug_if.sv"            "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_hot_plug_if.sv"                                      
    dict set design_files "intel_pcie_whr_gen4x8_int_if.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_int_if.sv"                                           
    dict set design_files "intel_pcie_whr_gen4x8_pm_if.sv"                  "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_pm_if.sv"                                            
    dict set design_files "intel_pcie_whr_gen4x8_prs_if.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_prs_if.sv"                                           
    dict set design_files "intel_pcie_whr_gen4x8_rx_st_if.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_rx_st_if.sv"                                         
    dict set design_files "intel_pcie_whr_gen4x8_sync_bit.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_sync_bit.sv"                                         
    dict set design_files "intel_pcie_whr_gen4x8_sync_pulse.sv"             "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_sync_pulse.sv"                                       
    dict set design_files "intel_pcie_whr_gen4x8_sync_vec.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_sync_vec.sv"                                         
    dict set design_files "intel_pcie_whr_gen4x8_tx_st_if.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_tx_st_if.sv"                                         
    dict set design_files "intel_pcie_whr_gen4x8_vferr_if.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8/intel_pcie_whr_gen4x8_vferr_if.sv"                                         
    dict set design_files "intel_pcie_whr_gen4x8_avmm_adapter.sv"           "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_adapter.sv"                                
    dict set design_files "intel_pcie_whr_gen4x8_avmm_cfg_if.sv"            "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_cfg_if.sv"                                 
    dict set design_files "intel_pcie_whr_gen4x8_avmm_cii_if.sv"            "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_cii_if.sv"                                 
    dict set design_files "intel_pcie_whr_gen4x8_avmm_credit_if.sv"         "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_credit_if.sv"                              
    dict set design_files "intel_pcie_whr_gen4x8_avmm_dcfifo.sv"            "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_dcfifo.sv"                                 
    dict set design_files "intel_pcie_whr_gen4x8_avmm_error_if.sv"          "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_error_if.sv"                               
    dict set design_files "intel_pcie_whr_gen4x8_avmm_flr_if.sv"            "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_flr_if.sv"                                 
    dict set design_files "intel_pcie_whr_gen4x8_avmm_gpx3.sv"              "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_gpx3.sv"                                   
    dict set design_files "intel_pcie_whr_gen4x8_avmm_hard_ip_status_if.sv" "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_hard_ip_status_if.sv"                      
    dict set design_files "intel_pcie_whr_gen4x8_avmm_hot_plug_if.sv"       "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_hot_plug_if.sv"                            
    dict set design_files "intel_pcie_whr_gen4x8_avmm_int_if.sv"            "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_int_if.sv"                                 
    dict set design_files "intel_pcie_whr_gen4x8_avmm_pm_if.sv"             "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_pm_if.sv"                                  
    dict set design_files "intel_pcie_whr_gen4x8_avmm_prs_if.sv"            "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_prs_if.sv"                                 
    dict set design_files "intel_pcie_whr_gen4x8_avmm_rx_st_if.sv"          "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_rx_st_if.sv"                               
    dict set design_files "intel_pcie_whr_gen4x8_avmm_sync_bit.sv"          "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_sync_bit.sv"                               
    dict set design_files "intel_pcie_whr_gen4x8_avmm_sync_pulse.sv"        "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_sync_pulse.sv"                             
    dict set design_files "intel_pcie_whr_gen4x8_avmm_sync_vec.sv"          "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_sync_vec.sv"                               
    dict set design_files "intel_pcie_whr_gen4x8_avmm_tx_st_if.sv"          "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/g4x8_avmm/intel_pcie_whr_gen4x8_avmm_tx_st_if.sv"                               
    dict set design_files "alt_mlab.v"                                      "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/adapters/adapter_common/alt_mlab.v"                                                      
    dict set design_files "intel_pcie_virtio_addrdc.v"                      "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/virtio/intel_pcie_virtio_addrdc.v"                                                       
    dict set design_files "intel_pcie_virtio_rdwr_ctrl.v"                   "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/virtio/intel_pcie_virtio_rdwr_ctrl.v"                                                    
    dict set design_files "intel_pcie_virtio_cfgmnt.v"                      "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/virtio/intel_pcie_virtio_cfgmnt.v"                                                       
    dict set design_files "intel_pcie_virtio_cap_pfvfreg.v"                 "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/virtio/intel_pcie_virtio_cap_pfvfreg.v"                                                  
    dict set design_files "intel_pcie_virtio_cfg_access_cap.v"              "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/virtio/intel_pcie_virtio_cfg_access_cap.v"                                               
    dict set design_files "intel_pcie_virtio_dataflow.v"                    "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/virtio/intel_pcie_virtio_dataflow.v"                                                     
    dict set design_files "intel_pcie_virtio_top.v"                         "$QSYS_SIMDIR/../intel_pcie_ptile_ast_922/sim/intelfpga/virtio/intel_pcie_virtio_top.v"                                                          
    dict set design_files "pcie_ed_dut_intelclkctrl_201_2iresly.v"          "$QSYS_SIMDIR/../intelclkctrl_201/sim/pcie_ed_dut_intelclkctrl_201_2iresly.v"                                                                    
    dict set design_files "intel_pio_clkCtrl.v"                             "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intel_pio_clkCtrl.v"                                                                        
    dict set design_files "intel_pcie_ptile_avmm_dcore_512.sv"              "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intel_pcie_ptile_avmm_dcore_512.sv"                                                         
    dict set design_files "intel_pcie_lite_master.sv"                       "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intel_pcie_ptile_avmm_dcore_bam/intel_pcie_lite_master.sv"                                  
    dict set design_files "intel_pcie_bam.sv"                               "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intel_pcie_ptile_avmm_dcore_bam/intel_pcie_bam.sv"                                          
    dict set design_files "intel_pcie_bam_avmm_intf.sv"                     "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intel_pcie_ptile_avmm_dcore_bam/intel_pcie_bam_avmm_intf.sv"                                
    dict set design_files "intel_pcie_bam_cpl.sv"                           "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intel_pcie_ptile_avmm_dcore_bam/intel_pcie_bam_cpl.sv"                                      
    dict set design_files "intel_pcie_bam_fifos.sv"                         "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intel_pcie_ptile_avmm_dcore_bam/intel_pcie_bam_fifos.sv"                                    
    dict set design_files "intel_pcie_bam_rw.sv"                            "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intel_pcie_ptile_avmm_dcore_bam/intel_pcie_bam_rw.sv"                                       
    dict set design_files "intel_pcie_bam_sch_intf.sv"                      "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intel_pcie_ptile_avmm_dcore_bam/intel_pcie_bam_sch_intf.sv"                                 
    dict set design_files "intel_pcie_rddm.sv"                              "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm/intel_pcie_rddm.sv"                              
    dict set design_files "intel_pcie_rddm_desc_preproc.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm/intel_pcie_rddm_desc_preproc.sv"                 
    dict set design_files "intel_pcie_rddm_desc_queue.sv"                   "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm/intel_pcie_rddm_desc_queue.sv"                   
    dict set design_files "intel_pcie_rddm_cpl.sv"                          "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm/intel_pcie_rddm_cpl.sv"                          
    dict set design_files "intel_pcie_rddm_header_gen.sv"                   "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm/intel_pcie_rddm_header_gen.sv"                   
    dict set design_files "intel_pcie_rddm_2.sv"                            "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm_ext_tag/intel_pcie_rddm_2.sv"                    
    dict set design_files "intel_pcie_rddm_cpl_2.sv"                        "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm_ext_tag/intel_pcie_rddm_cpl_2.sv"                
    dict set design_files "intel_pcie_rddm_cpl_cmd_2.sv"                    "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm_ext_tag/intel_pcie_rddm_cpl_cmd_2.sv"            
    dict set design_files "intel_pcie_rddm_cpl_data_2.sv"                   "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm_ext_tag/intel_pcie_rddm_cpl_data_2.sv"           
    dict set design_files "intel_pcie_rddm_desc_preproc_2.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm_ext_tag/intel_pcie_rddm_desc_preproc_2.sv"       
    dict set design_files "intel_pcie_rddm_header_gen_2.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm_ext_tag/intel_pcie_rddm_header_gen_2.sv"         
    dict set design_files "intel_pcie_rddm_rdmaster_2.sv"                   "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm_ext_tag/intel_pcie_rddm_rdmaster_2.sv"           
    dict set design_files "intel_pcie_rddm_tagram_2.sv"                     "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm_ext_tag/intel_pcie_rddm_tagram_2.sv"             
    dict set design_files "altera_pcie_s10_fifo.sv"                         "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm_ext_tag/altera_pcie_s10_fifo.sv"                 
    dict set design_files "altera_pcie_s10_sclkfifo.sv"                     "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_rddm_ext_tag/altera_pcie_s10_sclkfifo.sv"             
    dict set design_files "intel_pcie_avmm_translator_512.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_wrdm/intel_pcie_avmm_translator_512.sv"               
    dict set design_files "intel_pcie_60bit_adder.sv"                       "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_wrdm/intel_pcie_60bit_adder.sv"                       
    dict set design_files "intel_pcie_pipelined_57_6_adder.sv"              "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_wrdm/intel_pcie_pipelined_57_6_adder.sv"              
    dict set design_files "intel_pcie_write_data_mover_512.sv"              "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_wrdm/intel_pcie_write_data_mover_512.sv"              
    dict set design_files "intel_pcie_wdm_input_stage_512.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_wrdm/intel_pcie_wdm_input_stage_512.sv"               
    dict set design_files "intel_pcie_wdm_destn_address_generator.sv"       "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_wrdm/intel_pcie_wdm_destn_address_generator.sv"       
    dict set design_files "intel_pcie_shallow_fifo.sv"                      "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_wrdm/intel_pcie_shallow_fifo.sv"                      
    dict set design_files "intel_pcie_wdm_avmm_sm_512.sv"                   "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_wrdm/intel_pcie_wdm_avmm_sm_512.sv"                   
    dict set design_files "intel_pcie_wdm_packet_generator_512.sv"          "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_wrdm/intel_pcie_wdm_packet_generator_512.sv"          
    dict set design_files "intel_pcie_62bit_adder.sv"                       "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_wrdm/intel_pcie_62bit_adder.sv"                       
    dict set design_files "intel_pcie_sclkfifo.sv"                          "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_wrdm/intel_pcie_sclkfifo.sv"                          
    dict set design_files "intel_pcie_wdm_data_aligner.sv"                  "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_wrdm/intel_pcie_wdm_data_aligner.sv"                  
    dict set design_files "intel_pcie_bas.sv"                               "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_bas/intel_pcie_bas.sv"                                
    dict set design_files "intel_pcie_lite_bas.sv"                          "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_bas/intel_pcie_lite_bas.sv"                           
    dict set design_files "intel_pcie_rxpkt_221.sv"                         "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_hip_intf/intel_pcie_rxpkt_221.sv"                     
    dict set design_files "intel_pcie_pnp_req_mux.sv"                       "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_hip_intf/intel_pcie_pnp_req_mux.sv"                   
    dict set design_files "intel_pcie_hip_intf.sv"                          "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_hip_intf/intel_pcie_hip_intf.sv"                      
    dict set design_files "intel_pcie_cs.sv"                                "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_cs/intel_pcie_cs.sv"                                  
    dict set design_files "intel_pcie_schd.sv"                              "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/intel_pcie_schd.sv"                              
    dict set design_files "intel_pcie_schd_rx.sv"                           "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/rx/intel_pcie_schd_rx.sv"                        
    dict set design_files "intel_pcie_schd_rx_cdt_handler.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/rx/intel_pcie_schd_rx_cdt_handler.sv"            
    dict set design_files "intel_pcie_schd_rx_ibuf.sv"                      "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/rx/intel_pcie_schd_rx_ibuf.sv"                   
    dict set design_files "intel_pcie_schd_rx_ibuf_rd_dns.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/rx/intel_pcie_schd_rx_ibuf_rd_dns.sv"            
    dict set design_files "intel_pcie_schd_rx_obuf_order_mngr.sv"           "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/rx/intel_pcie_schd_rx_obuf_order_mngr.sv"        
    dict set design_files "intel_pcie_schd_rx_parser.sv"                    "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/rx/intel_pcie_schd_rx_parser.sv"                 
    dict set design_files "intel_pcie_schd_rx_bam_cdt_checker.sv"           "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/rx/intel_pcie_schd_rx_bam_cdt_checker.sv"        
    dict set design_files "intel_pcie_schd_rx_delay.sv"                     "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/rx/intel_pcie_schd_rx_delay.sv"                  
    dict set design_files "intel_pcie_schd_rx_ibuf_order_mngr.sv"           "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/rx/intel_pcie_schd_rx_ibuf_order_mngr.sv"        
    dict set design_files "intel_pcie_schd_rx_obuf.sv"                      "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/rx/intel_pcie_schd_rx_obuf.sv"                   
    dict set design_files "intel_pcie_schd_rx_p_np_arb.sv"                  "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/rx/intel_pcie_schd_rx_p_np_arb.sv"               
    dict set design_files "intel_pcie_schd_rx_stream.sv"                    "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/rx/intel_pcie_schd_rx_stream.sv"                 
    dict set design_files "intel_pcie_schd_tx.sv"                           "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx.sv"                        
    dict set design_files "intel_pcie_schd_tx_np_obuf.sv"                   "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_np_obuf.sv"                
    dict set design_files "intel_pcie_schd_tx_pc_ibuf.sv"                   "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_pc_ibuf.sv"                
    dict set design_files "intel_pcie_schd_tx_pc_order_mngr.sv"             "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_pc_order_mngr.sv"          
    dict set design_files "intel_pcie_schd_tx_pc_packer.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_pc_packer.sv"              
    dict set design_files "intel_pcie_schd_tx_cdt_checker.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_cdt_checker.sv"            
    dict set design_files "intel_pcie_schd_tx_np_order_mngr.sv"             "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_np_order_mngr.sv"          
    dict set design_files "intel_pcie_schd_tx_pc_np_arb.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_pc_np_arb.sv"              
    dict set design_files "intel_pcie_schd_tx_pc_order_mngr_rd.sv"          "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_pc_order_mngr_rd.sv"       
    dict set design_files "intel_pcie_schd_tx_seg_packer_4_to_2.sv"         "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_seg_packer_4_to_2.sv"      
    dict set design_files "intel_pcie_schd_tx_invalidator.sv"               "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_invalidator.sv"            
    dict set design_files "intel_pcie_schd_tx_np_packer.sv"                 "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_np_packer.sv"              
    dict set design_files "intel_pcie_schd_tx_pc_obuf.sv"                   "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_pc_obuf.sv"                
    dict set design_files "intel_pcie_schd_tx_pc_order_mngr_wr.sv"          "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/tx/intel_pcie_schd_tx_pc_order_mngr_wr.sv"       
    dict set design_files "intel_pcie_schd_order.sv"                        "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/common/intel_pcie_schd_order.sv"                 
    dict set design_files "intel_pcie_schd_piped_empty_calc.sv"             "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/common/intel_pcie_schd_piped_empty_calc.sv"      
    dict set design_files "intel_pcie_schd_scfifo.sv"                       "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_schd/common/intel_pcie_schd_scfifo.sv"                
    dict set design_files "intel_pcie_order.sv"                             "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_reordering/intel_pcie_order.sv"                       
    dict set design_files "intel_pcie_order_buffer.sv"                      "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_reordering/intel_pcie_order_buffer.sv"                
    dict set design_files "intel_pcie_order_read.sv"                        "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_reordering/intel_pcie_order_read.sv"                  
    dict set design_files "intel_pcie_order_rifo.sv"                        "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_reordering/intel_pcie_order_rifo.sv"                  
    dict set design_files "intel_pcie_order_write.sv"                       "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_reordering/intel_pcie_order_write.sv"                 
    dict set design_files "intel_pcie_completion_checker.sv"                "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_completion/intel_pcie_completion_checker.sv"          
    dict set design_files "intel_pcie_completion_timeout_detection.sv"      "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_completion/intel_pcie_completion_timeout_detection.sv"
    dict set design_files "intel_pcie_completion_timeout_detector.sv"       "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_completion/intel_pcie_completion_timeout_detector.sv" 
    dict set design_files "intel_pcie_completion_missing_detection.sv"      "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_completion/intel_pcie_completion_missing_detection.sv"
    dict set design_files "intel_pcie_completion_error_handling.sv"         "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_completion/intel_pcie_completion_error_handling.sv"   
    dict set design_files "intel_pcie_config_extractor.sv"                  "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_completion/intel_pcie_config_extractor.sv"            
    dict set design_files "intel_pcie_lut_ram.sv"                           "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_common/intel_pcie_lut_ram.sv"                         
    dict set design_files "intel_pcie_ram.sv"                               "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_common/intel_pcie_ram.sv"                             
    dict set design_files "intel_pcie_scfifo.sv"                            "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_common/intel_pcie_scfifo.sv"                          
    dict set design_files "intel_pcie_scfifo_32.sv"                         "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_common/intel_pcie_scfifo_32.sv"                       
    dict set design_files "intel_pcie_set_clr_rd.sv"                        "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_ptile_avmm_dcore_common/intel_pcie_set_clr_rd.sv"                      
    dict set design_files "intel_pcie_lite_avmm_bridge_512_dcore.sv"        "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_lite_avmm_bridge_512_dcore.sv"                                         
    dict set design_files "intel_pcie_avmm_bridge_512_dcore.sv"             "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_dcore_100/sim/intelfpga/intel_pcie_avmm_bridge_512_dcore.sv"                                              
    dict set design_files "pcie_ed_dut_intel_pcie_ptile_avmm_401_jy3nsei.v" "$QSYS_SIMDIR/../intel_pcie_ptile_avmm_401/sim/pcie_ed_dut_intel_pcie_ptile_avmm_401_jy3nsei.v"                                                  
    dict set design_files "pcie_ed_dut.v"                                   "$QSYS_SIMDIR/pcie_ed_dut.v"                                                                                                                     
    return $design_files
  }
  
  proc get_non_duplicate_elab_option {ELAB_OPTIONS NEW_ELAB_OPTION} {
    set IS_DUPLICATE [string first $NEW_ELAB_OPTION $ELAB_OPTIONS]
    if {$IS_DUPLICATE == -1} {
      return $NEW_ELAB_OPTION
    } else {
      return ""
    }
  }
  
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
  proc get_dpi_libraries {QSYS_SIMDIR} {
    set libraries [dict create]
    
    return $libraries
  }
  
}
