/*******************************************************************************
* Copyright (C) 2001-2025 Altera Corporation
*
* This code and the related documents are Altera copyrighted materials and
* your use of them is governed by the express license under which they were
* provided to you ("License"). Unless the License provides otherwise, you may
* not use, modify, copy, publish, distribute, disclose, or transmit this
* code or the related documents without Altera's prior written permission.
* 
* This code and the related documents are provided as is, with no express
* or implied warranties other than those that are expressly stated in the
* License.
* 
*******************************************************************************/


/*
XCVR TX CLKOUT2 Converter for new XCVR_TEST_SYSTEM module
*/
module  xcvr_tx_rx_clkout2_converter( 
        input  tx_clkout2,
        output tx_clkout2_sample,
        output tx_clkout2_a,
        output tx_clkout2_b,
        input  rx_clkout2,
        output rx_clkout2_a,
        output rx_clkout2_b
);
	assign tx_clkout2_sample = tx_clkout2;
	assign tx_clkout2_a      = tx_clkout2;
	assign tx_clkout2_b      = tx_clkout2;
	assign rx_clkout2_a      = rx_clkout2;
	assign rx_clkout2_b      = rx_clkout2;
endmodule
