# Copyright (C) 2001-2025 Altera Corporation
#
# This code and the related documents are Altera copyrighted materials and
# your use of them is governed by the express license under which they were
# provided to you ("License"). Unless the License provides otherwise, you may
# not use, modify, copy, publish, distribute, disclose, or transmit this
# code or the related documents without Altera's prior written permission.
# 
# This code and the related documents are provided as is, with no express
# or implied warranties other than those that are expressly stated in the
# License.


# Create a new driver - this name must be different than the 
# hardware component name
create_driver prbs_pattern_checker_driver
# Associate it with some hardware known as "prbs_pattern_checker"
set_sw_property hw_class_name prbs_pattern_checker
# The version of this driver is "1.0"
set_sw_property version 1.0
set_sw_property min_compatible_hw_version 1.0
# Initialize the driver in alt_sys_init()
set_sw_property auto_initialize false
# Location in generated BSP that sources will be copied into
set_sw_property bsp_subdirectory drivers
#
# Source file listings...
#
# C/C++ source files
add_sw_property c_source HAL/src/prbs_pattern_checker.c
# Include files
add_sw_property include_source HAL/inc/prbs_pattern_checker.h
add_sw_property include_source inc/prbs_pattern_checker_regs.h
# This driver supports HAL type
add_sw_property supported_bsp_type HAL
# End of file