// pcie_ed_MEM0.v

// Generated using ACDS version 25.1 129

`timescale 1 ps / 1 ps
module pcie_ed_MEM0 (
		input  wire [8:0]   address,        // avalon_slave_0.address
		input  wire [63:0]  byteenable,     //               .byteenable
		input  wire         read,           //               .read
		input  wire [3:0]   burstcount,     //               .burstcount
		output wire [511:0] readdata,       //               .readdata
		output wire         readdatavalid,  //               .readdatavalid
		output wire [1:0]   response,       //               .response
		output wire         waitrequest,    //               .waitrequest
		input  wire         clk,            //          clock.clk
		input  wire         reset,          //          reset.reset
		input  wire [8:0]   address2,       // avalon_slave_1.address
		input  wire [63:0]  byteenable2,    //               .byteenable
		input  wire         read2,          //               .read
		input  wire         write2,         //               .write
		input  wire [511:0] writedata2,     //               .writedata
		input  wire [3:0]   burstcount2,    //               .burstcount
		output wire [511:0] readdata2,      //               .readdata
		output wire         readdatavalid2, //               .readdatavalid
		output wire         waitrequest2    //               .waitrequest
	);

	intel_pcie_mem_hwtcl mem0 (
		.address        (address),        //   input,    width = 9, avalon_slave_0.address
		.byteenable     (byteenable),     //   input,   width = 64,               .byteenable
		.read           (read),           //   input,    width = 1,               .read
		.burstcount     (burstcount),     //   input,    width = 4,               .burstcount
		.readdata       (readdata),       //  output,  width = 512,               .readdata
		.readdatavalid  (readdatavalid),  //  output,    width = 1,               .readdatavalid
		.response       (response),       //  output,    width = 2,               .response
		.waitrequest    (waitrequest),    //  output,    width = 1,               .waitrequest
		.clk            (clk),            //   input,    width = 1,          clock.clk
		.reset          (reset),          //   input,    width = 1,          reset.reset
		.address2       (address2),       //   input,    width = 9, avalon_slave_1.address
		.byteenable2    (byteenable2),    //   input,   width = 64,               .byteenable
		.read2          (read2),          //   input,    width = 1,               .read
		.write2         (write2),         //   input,    width = 1,               .write
		.writedata2     (writedata2),     //   input,  width = 512,               .writedata
		.burstcount2    (burstcount2),    //   input,    width = 4,               .burstcount
		.readdata2      (readdata2),      //  output,  width = 512,               .readdata
		.readdatavalid2 (readdatavalid2), //  output,    width = 1,               .readdatavalid
		.waitrequest2   (waitrequest2)    //  output,    width = 1,               .waitrequest
	);

endmodule
