// intel_pio_clkCtrl.v

// Generated using ACDS version 25.1 129

`timescale 1 ps / 1 ps
module intel_pio_clkCtrl (
		input  wire  inclk,       //       inclk.clk, Input signal to the clock network.
		output wire  clock_div1x, // clock_div1x.clk, Clock Control IP output when the Clock Divider is selected. The clock_div1x is the same as inclk.
		output wire  clock_div2x  // clock_div2x.clk, Clock Control IP output when the Clock Divider is selected. The clock_div2x divides inclk by 2.
	);

	pcie_ed_dut_intelclkctrl_201_2iresly intel_pio_clkctrl (
		.inclk       (inclk),       //   input,  width = 1,       inclk.clk
		.clock_div1x (clock_div1x), //  output,  width = 1, clock_div1x.clk
		.clock_div2x (clock_div2x)  //  output,  width = 1, clock_div2x.clk
	);

endmodule
