// pcie_ed.v

// Generated using ACDS version 25.1 129

`timescale 1 ps / 1 ps
module pcie_ed (
		input  wire  hip_serial_rx_n_in0,   // hip_serial.rx_n_in0
		input  wire  hip_serial_rx_n_in1,   //           .rx_n_in1
		input  wire  hip_serial_rx_n_in2,   //           .rx_n_in2
		input  wire  hip_serial_rx_n_in3,   //           .rx_n_in3
		input  wire  hip_serial_rx_n_in4,   //           .rx_n_in4
		input  wire  hip_serial_rx_n_in5,   //           .rx_n_in5
		input  wire  hip_serial_rx_n_in6,   //           .rx_n_in6
		input  wire  hip_serial_rx_n_in7,   //           .rx_n_in7
		input  wire  hip_serial_rx_n_in8,   //           .rx_n_in8
		input  wire  hip_serial_rx_n_in9,   //           .rx_n_in9
		input  wire  hip_serial_rx_n_in10,  //           .rx_n_in10
		input  wire  hip_serial_rx_n_in11,  //           .rx_n_in11
		input  wire  hip_serial_rx_n_in12,  //           .rx_n_in12
		input  wire  hip_serial_rx_n_in13,  //           .rx_n_in13
		input  wire  hip_serial_rx_n_in14,  //           .rx_n_in14
		input  wire  hip_serial_rx_n_in15,  //           .rx_n_in15
		input  wire  hip_serial_rx_p_in0,   //           .rx_p_in0
		input  wire  hip_serial_rx_p_in1,   //           .rx_p_in1
		input  wire  hip_serial_rx_p_in2,   //           .rx_p_in2
		input  wire  hip_serial_rx_p_in3,   //           .rx_p_in3
		input  wire  hip_serial_rx_p_in4,   //           .rx_p_in4
		input  wire  hip_serial_rx_p_in5,   //           .rx_p_in5
		input  wire  hip_serial_rx_p_in6,   //           .rx_p_in6
		input  wire  hip_serial_rx_p_in7,   //           .rx_p_in7
		input  wire  hip_serial_rx_p_in8,   //           .rx_p_in8
		input  wire  hip_serial_rx_p_in9,   //           .rx_p_in9
		input  wire  hip_serial_rx_p_in10,  //           .rx_p_in10
		input  wire  hip_serial_rx_p_in11,  //           .rx_p_in11
		input  wire  hip_serial_rx_p_in12,  //           .rx_p_in12
		input  wire  hip_serial_rx_p_in13,  //           .rx_p_in13
		input  wire  hip_serial_rx_p_in14,  //           .rx_p_in14
		input  wire  hip_serial_rx_p_in15,  //           .rx_p_in15
		output wire  hip_serial_tx_n_out0,  //           .tx_n_out0
		output wire  hip_serial_tx_n_out1,  //           .tx_n_out1
		output wire  hip_serial_tx_n_out2,  //           .tx_n_out2
		output wire  hip_serial_tx_n_out3,  //           .tx_n_out3
		output wire  hip_serial_tx_n_out4,  //           .tx_n_out4
		output wire  hip_serial_tx_n_out5,  //           .tx_n_out5
		output wire  hip_serial_tx_n_out6,  //           .tx_n_out6
		output wire  hip_serial_tx_n_out7,  //           .tx_n_out7
		output wire  hip_serial_tx_n_out8,  //           .tx_n_out8
		output wire  hip_serial_tx_n_out9,  //           .tx_n_out9
		output wire  hip_serial_tx_n_out10, //           .tx_n_out10
		output wire  hip_serial_tx_n_out11, //           .tx_n_out11
		output wire  hip_serial_tx_n_out12, //           .tx_n_out12
		output wire  hip_serial_tx_n_out13, //           .tx_n_out13
		output wire  hip_serial_tx_n_out14, //           .tx_n_out14
		output wire  hip_serial_tx_n_out15, //           .tx_n_out15
		output wire  hip_serial_tx_p_out0,  //           .tx_p_out0
		output wire  hip_serial_tx_p_out1,  //           .tx_p_out1
		output wire  hip_serial_tx_p_out2,  //           .tx_p_out2
		output wire  hip_serial_tx_p_out3,  //           .tx_p_out3
		output wire  hip_serial_tx_p_out4,  //           .tx_p_out4
		output wire  hip_serial_tx_p_out5,  //           .tx_p_out5
		output wire  hip_serial_tx_p_out6,  //           .tx_p_out6
		output wire  hip_serial_tx_p_out7,  //           .tx_p_out7
		output wire  hip_serial_tx_p_out8,  //           .tx_p_out8
		output wire  hip_serial_tx_p_out9,  //           .tx_p_out9
		output wire  hip_serial_tx_p_out10, //           .tx_p_out10
		output wire  hip_serial_tx_p_out11, //           .tx_p_out11
		output wire  hip_serial_tx_p_out12, //           .tx_p_out12
		output wire  hip_serial_tx_p_out13, //           .tx_p_out13
		output wire  hip_serial_tx_p_out14, //           .tx_p_out14
		output wire  hip_serial_tx_p_out15, //           .tx_p_out15
		input  wire  refclk0_clk,           //    refclk0.clk
		input  wire  refclk1_clk,           //    refclk1.clk
		input  wire  pin_perst_pin_perst    //  pin_perst.pin_perst
	);

	wire          dut_p0_rddm_tx_valid;                                           // dut:p0_rddm_tx_valid_o -> DMA_CONTROLLER:dma_rddm_tx_valid_i
	wire   [31:0] dut_p0_rddm_tx_data;                                            // dut:p0_rddm_tx_data_o -> DMA_CONTROLLER:dma_rddm_tx_data_i
	wire          dut_p0_wrdm_tx_valid;                                           // dut:p0_wrdm_tx_valid_o -> DMA_CONTROLLER:dma_wrdm_tx_valid_i
	wire   [31:0] dut_p0_wrdm_tx_data;                                            // dut:p0_wrdm_tx_data_o -> DMA_CONTROLLER:dma_wrdm_tx_data_i
	wire          dma_controller_rddm_desc_valid;                                 // DMA_CONTROLLER:dma_rddm_desc_valid_o -> dut:p0_rddm_desc_valid_i
	wire  [173:0] dma_controller_rddm_desc_data;                                  // DMA_CONTROLLER:dma_rddm_desc_data_o -> dut:p0_rddm_desc_data_i
	wire          dma_controller_rddm_desc_ready;                                 // dut:p0_rddm_desc_ready_o -> DMA_CONTROLLER:dma_rddm_desc_ready_i
	wire          dma_controller_rddm_prio_valid;                                 // DMA_CONTROLLER:dma_rddm_prio_valid_o -> dut:p0_rddm_prio_valid_i
	wire  [173:0] dma_controller_rddm_prio_data;                                  // DMA_CONTROLLER:dma_rddm_prio_data_o -> dut:p0_rddm_prio_data_i
	wire          dma_controller_rddm_prio_ready;                                 // dut:p0_rddm_prio_ready_o -> DMA_CONTROLLER:dma_rddm_prio_ready_i
	wire          dma_controller_wrdm_desc_valid;                                 // DMA_CONTROLLER:dma_wrdm_desc_valid_o -> dut:p0_wrdm_desc_valid_i
	wire  [173:0] dma_controller_wrdm_desc_data;                                  // DMA_CONTROLLER:dma_wrdm_desc_data_o -> dut:p0_wrdm_desc_data_i
	wire          dma_controller_wrdm_desc_ready;                                 // dut:p0_wrdm_desc_ready_o -> DMA_CONTROLLER:dma_wrdm_desc_ready_i
	wire          dma_controller_wrdm_prio_valid;                                 // DMA_CONTROLLER:dma_wrdm_prio_valid_o -> dut:p0_wrdm_prio_valid_i
	wire  [173:0] dma_controller_wrdm_prio_data;                                  // DMA_CONTROLLER:dma_wrdm_prio_data_o -> dut:p0_wrdm_prio_data_i
	wire          dma_controller_wrdm_prio_ready;                                 // dut:p0_wrdm_prio_ready_o -> DMA_CONTROLLER:dma_wrdm_prio_ready_i
	wire          dut_p0_app_clk_clk;                                             // dut:p0_app_clk -> [BAR_INTERPRETER:Clk_i, DMA_CONTROLLER:Clk_i, MEM0:clk, mm_interconnect_0:dut_p0_app_clk_clk, mm_interconnect_1:dut_p0_app_clk_clk, mm_interconnect_2:dut_p0_app_clk_clk]
	wire          resetip_ninit_done_ninit_done;                                  // resetIP:ninit_done -> dut:ninit_done
	wire    [2:0] dut_p0_bam_conduit_barnum;                                      // dut:p0_bam_bar_o -> BAR_INTERPRETER:bri_s_bar_i
	wire    [1:0] dut_p0_bam_conduit_pfnum;                                       // dut:p0_bam_pfnum_o -> BAR_INTERPRETER:bri_s_pfnum_i
	wire    [1:0] dut_p0_rddm_conduit_pfnum;                                      // dut:p0_rddm_pfnum_o -> DMA_CONTROLLER:dma_rddm_pfnum_i
	wire    [1:0] dut_p0_wrdm_conduit_pfnum;                                      // dut:p0_wrdm_pfnum_o -> DMA_CONTROLLER:dma_wrdm_pfnum_i
	wire          dut_p0_app_reset_status_n_reset;                                // dut:p0_reset_status_n -> [BAR_INTERPRETER:Rstn_i, DMA_CONTROLLER:Rstn_i, MEM0:reset, mm_interconnect_0:BAR_INTERPRETER_bri_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_0:BAR_INTERPRETER_reset_reset_bridge_in_reset_reset, mm_interconnect_1:BAR_INTERPRETER_reset_reset_bridge_in_reset_reset, mm_interconnect_1:dut_p0_bam_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_2:MEM0_reset_reset_bridge_in_reset_reset, mm_interconnect_2:dut_p0_wrdm_master_translator_reset_reset_bridge_in_reset_reset]
	wire  [511:0] bar_interpreter_bri_master_readdata;                            // mm_interconnect_0:BAR_INTERPRETER_bri_master_readdata -> BAR_INTERPRETER:bri_m_readdata_i
	wire          bar_interpreter_bri_master_waitrequest;                         // mm_interconnect_0:BAR_INTERPRETER_bri_master_waitrequest -> BAR_INTERPRETER:bri_m_waitrequest_i
	wire   [19:0] bar_interpreter_bri_master_address;                             // BAR_INTERPRETER:bri_m_address_o -> mm_interconnect_0:BAR_INTERPRETER_bri_master_address
	wire          bar_interpreter_bri_master_read;                                // BAR_INTERPRETER:bri_m_read_o -> mm_interconnect_0:BAR_INTERPRETER_bri_master_read
	wire   [63:0] bar_interpreter_bri_master_byteenable;                          // BAR_INTERPRETER:bri_m_byteenable_o -> mm_interconnect_0:BAR_INTERPRETER_bri_master_byteenable
	wire          bar_interpreter_bri_master_readdatavalid;                       // mm_interconnect_0:BAR_INTERPRETER_bri_master_readdatavalid -> BAR_INTERPRETER:bri_m_readdatavalid_i
	wire    [1:0] bar_interpreter_bri_master_response;                            // mm_interconnect_0:BAR_INTERPRETER_bri_master_response -> BAR_INTERPRETER:bri_m_response_i
	wire          bar_interpreter_bri_master_write;                               // BAR_INTERPRETER:bri_m_write_o -> mm_interconnect_0:BAR_INTERPRETER_bri_master_write
	wire  [511:0] bar_interpreter_bri_master_writedata;                           // BAR_INTERPRETER:bri_m_writedata_o -> mm_interconnect_0:BAR_INTERPRETER_bri_master_writedata
	wire    [3:0] bar_interpreter_bri_master_burstcount;                          // BAR_INTERPRETER:bri_m_burstcount_o -> mm_interconnect_0:BAR_INTERPRETER_bri_master_burstcount
	wire          dut_p0_rddm_master_waitrequest;                                 // mm_interconnect_0:dut_p0_rddm_master_waitrequest -> dut:p0_rddm_waitrequest_i
	wire   [63:0] dut_p0_rddm_master_address;                                     // dut:p0_rddm_address_o -> mm_interconnect_0:dut_p0_rddm_master_address
	wire   [63:0] dut_p0_rddm_master_byteenable;                                  // dut:p0_rddm_byteenable_o -> mm_interconnect_0:dut_p0_rddm_master_byteenable
	wire          dut_p0_rddm_master_write;                                       // dut:p0_rddm_write_o -> mm_interconnect_0:dut_p0_rddm_master_write
	wire  [511:0] dut_p0_rddm_master_writedata;                                   // dut:p0_rddm_writedata_o -> mm_interconnect_0:dut_p0_rddm_master_writedata
	wire    [3:0] dut_p0_rddm_master_burstcount;                                  // dut:p0_rddm_burstcount_o -> mm_interconnect_0:dut_p0_rddm_master_burstcount
	wire  [511:0] mm_interconnect_0_mem0_avalon_slave_1_readdata;                 // MEM0:readdata2 -> mm_interconnect_0:MEM0_avalon_slave_1_readdata
	wire          mm_interconnect_0_mem0_avalon_slave_1_waitrequest;              // MEM0:waitrequest2 -> mm_interconnect_0:MEM0_avalon_slave_1_waitrequest
	wire    [8:0] mm_interconnect_0_mem0_avalon_slave_1_address;                  // mm_interconnect_0:MEM0_avalon_slave_1_address -> MEM0:address2
	wire          mm_interconnect_0_mem0_avalon_slave_1_read;                     // mm_interconnect_0:MEM0_avalon_slave_1_read -> MEM0:read2
	wire   [63:0] mm_interconnect_0_mem0_avalon_slave_1_byteenable;               // mm_interconnect_0:MEM0_avalon_slave_1_byteenable -> MEM0:byteenable2
	wire          mm_interconnect_0_mem0_avalon_slave_1_readdatavalid;            // MEM0:readdatavalid2 -> mm_interconnect_0:MEM0_avalon_slave_1_readdatavalid
	wire          mm_interconnect_0_mem0_avalon_slave_1_write;                    // mm_interconnect_0:MEM0_avalon_slave_1_write -> MEM0:write2
	wire  [511:0] mm_interconnect_0_mem0_avalon_slave_1_writedata;                // mm_interconnect_0:MEM0_avalon_slave_1_writedata -> MEM0:writedata2
	wire    [3:0] mm_interconnect_0_mem0_avalon_slave_1_burstcount;               // mm_interconnect_0:MEM0_avalon_slave_1_burstcount -> MEM0:burstcount2
	wire  [511:0] mm_interconnect_0_dma_controller_dma_slave_readdata;            // DMA_CONTROLLER:dma_s_readdata_o -> mm_interconnect_0:DMA_CONTROLLER_dma_slave_readdata
	wire          mm_interconnect_0_dma_controller_dma_slave_waitrequest;         // DMA_CONTROLLER:dma_s_waitrequest_o -> mm_interconnect_0:DMA_CONTROLLER_dma_slave_waitrequest
	wire   [11:0] mm_interconnect_0_dma_controller_dma_slave_address;             // mm_interconnect_0:DMA_CONTROLLER_dma_slave_address -> DMA_CONTROLLER:dma_s_address_i
	wire          mm_interconnect_0_dma_controller_dma_slave_read;                // mm_interconnect_0:DMA_CONTROLLER_dma_slave_read -> DMA_CONTROLLER:dma_s_read_i
	wire   [63:0] mm_interconnect_0_dma_controller_dma_slave_byteenable;          // mm_interconnect_0:DMA_CONTROLLER_dma_slave_byteenable -> DMA_CONTROLLER:dma_s_byteenable_i
	wire          mm_interconnect_0_dma_controller_dma_slave_readdatavalid;       // DMA_CONTROLLER:dma_s_readdatavalid_o -> mm_interconnect_0:DMA_CONTROLLER_dma_slave_readdatavalid
	wire    [1:0] mm_interconnect_0_dma_controller_dma_slave_response;            // DMA_CONTROLLER:dma_s_response_o -> mm_interconnect_0:DMA_CONTROLLER_dma_slave_response
	wire          mm_interconnect_0_dma_controller_dma_slave_write;               // mm_interconnect_0:DMA_CONTROLLER_dma_slave_write -> DMA_CONTROLLER:dma_s_write_i
	wire  [511:0] mm_interconnect_0_dma_controller_dma_slave_writedata;           // mm_interconnect_0:DMA_CONTROLLER_dma_slave_writedata -> DMA_CONTROLLER:dma_s_writedata_i
	wire    [3:0] mm_interconnect_0_dma_controller_dma_slave_burstcount;          // mm_interconnect_0:DMA_CONTROLLER_dma_slave_burstcount -> DMA_CONTROLLER:dma_s_burstcount_i
	wire          dut_p0_bam_master_waitrequest;                                  // mm_interconnect_1:dut_p0_bam_master_waitrequest -> dut:p0_bam_waitrequest_i
	wire  [511:0] dut_p0_bam_master_readdata;                                     // mm_interconnect_1:dut_p0_bam_master_readdata -> dut:p0_bam_readdata_i
	wire   [63:0] dut_p0_bam_master_address;                                      // dut:p0_bam_address_o -> mm_interconnect_1:dut_p0_bam_master_address
	wire   [63:0] dut_p0_bam_master_byteenable;                                   // dut:p0_bam_byteenable_o -> mm_interconnect_1:dut_p0_bam_master_byteenable
	wire          dut_p0_bam_master_read;                                         // dut:p0_bam_read_o -> mm_interconnect_1:dut_p0_bam_master_read
	wire          dut_p0_bam_master_readdatavalid;                                // mm_interconnect_1:dut_p0_bam_master_readdatavalid -> dut:p0_bam_readdatavalid_i
	wire    [1:0] dut_p0_bam_master_response;                                     // mm_interconnect_1:dut_p0_bam_master_response -> dut:p0_bam_response_i
	wire          dut_p0_bam_master_write;                                        // dut:p0_bam_write_o -> mm_interconnect_1:dut_p0_bam_master_write
	wire  [511:0] dut_p0_bam_master_writedata;                                    // dut:p0_bam_writedata_o -> mm_interconnect_1:dut_p0_bam_master_writedata
	wire    [3:0] dut_p0_bam_master_burstcount;                                   // dut:p0_bam_burstcount_o -> mm_interconnect_1:dut_p0_bam_master_burstcount
	wire  [511:0] mm_interconnect_1_bar_interpreter_bri_slave_readdata;           // BAR_INTERPRETER:bri_s_readdata_o -> mm_interconnect_1:BAR_INTERPRETER_bri_slave_readdata
	wire          mm_interconnect_1_bar_interpreter_bri_slave_waitrequest;        // BAR_INTERPRETER:bri_s_waitrequest_o -> mm_interconnect_1:BAR_INTERPRETER_bri_slave_waitrequest
	wire   [15:0] mm_interconnect_1_bar_interpreter_bri_slave_address;            // mm_interconnect_1:BAR_INTERPRETER_bri_slave_address -> BAR_INTERPRETER:bri_s_address_i
	wire          mm_interconnect_1_bar_interpreter_bri_slave_read;               // mm_interconnect_1:BAR_INTERPRETER_bri_slave_read -> BAR_INTERPRETER:bri_s_read_i
	wire   [63:0] mm_interconnect_1_bar_interpreter_bri_slave_byteenable;         // mm_interconnect_1:BAR_INTERPRETER_bri_slave_byteenable -> BAR_INTERPRETER:bri_s_byteenable_i
	wire          mm_interconnect_1_bar_interpreter_bri_slave_readdatavalid;      // BAR_INTERPRETER:bri_s_readdatavalid_o -> mm_interconnect_1:BAR_INTERPRETER_bri_slave_readdatavalid
	wire    [1:0] mm_interconnect_1_bar_interpreter_bri_slave_response;           // BAR_INTERPRETER:bri_s_response_o -> mm_interconnect_1:BAR_INTERPRETER_bri_slave_response
	wire          mm_interconnect_1_bar_interpreter_bri_slave_write;              // mm_interconnect_1:BAR_INTERPRETER_bri_slave_write -> BAR_INTERPRETER:bri_s_write_i
	wire  [511:0] mm_interconnect_1_bar_interpreter_bri_slave_writedata;          // mm_interconnect_1:BAR_INTERPRETER_bri_slave_writedata -> BAR_INTERPRETER:bri_s_writedata_i
	wire          mm_interconnect_1_bar_interpreter_bri_slave_writeresponsevalid; // BAR_INTERPRETER:bri_s_writeresponse_valid_o -> mm_interconnect_1:BAR_INTERPRETER_bri_slave_writeresponsevalid
	wire    [3:0] mm_interconnect_1_bar_interpreter_bri_slave_burstcount;         // mm_interconnect_1:BAR_INTERPRETER_bri_slave_burstcount -> BAR_INTERPRETER:bri_s_burstcount_i
	wire          dut_p0_wrdm_master_waitrequest;                                 // mm_interconnect_2:dut_p0_wrdm_master_waitrequest -> dut:p0_wrdm_waitrequest_i
	wire  [511:0] dut_p0_wrdm_master_readdata;                                    // mm_interconnect_2:dut_p0_wrdm_master_readdata -> dut:p0_wrdm_readdata_i
	wire          dut_p0_wrdm_master_read;                                        // dut:p0_wrdm_read_o -> mm_interconnect_2:dut_p0_wrdm_master_read
	wire   [63:0] dut_p0_wrdm_master_address;                                     // dut:p0_wrdm_address_o -> mm_interconnect_2:dut_p0_wrdm_master_address
	wire   [63:0] dut_p0_wrdm_master_byteenable;                                  // dut:p0_wrdm_byteenable_o -> mm_interconnect_2:dut_p0_wrdm_master_byteenable
	wire          dut_p0_wrdm_master_readdatavalid;                               // mm_interconnect_2:dut_p0_wrdm_master_readdatavalid -> dut:p0_wrdm_readdatavalid_i
	wire    [1:0] dut_p0_wrdm_master_response;                                    // mm_interconnect_2:dut_p0_wrdm_master_response -> dut:p0_wrdm_response_i
	wire    [3:0] dut_p0_wrdm_master_burstcount;                                  // dut:p0_wrdm_burstcount_o -> mm_interconnect_2:dut_p0_wrdm_master_burstcount
	wire  [511:0] mm_interconnect_2_mem0_avalon_slave_0_readdata;                 // MEM0:readdata -> mm_interconnect_2:MEM0_avalon_slave_0_readdata
	wire          mm_interconnect_2_mem0_avalon_slave_0_waitrequest;              // MEM0:waitrequest -> mm_interconnect_2:MEM0_avalon_slave_0_waitrequest
	wire    [8:0] mm_interconnect_2_mem0_avalon_slave_0_address;                  // mm_interconnect_2:MEM0_avalon_slave_0_address -> MEM0:address
	wire          mm_interconnect_2_mem0_avalon_slave_0_read;                     // mm_interconnect_2:MEM0_avalon_slave_0_read -> MEM0:read
	wire   [63:0] mm_interconnect_2_mem0_avalon_slave_0_byteenable;               // mm_interconnect_2:MEM0_avalon_slave_0_byteenable -> MEM0:byteenable
	wire          mm_interconnect_2_mem0_avalon_slave_0_readdatavalid;            // MEM0:readdatavalid -> mm_interconnect_2:MEM0_avalon_slave_0_readdatavalid
	wire    [1:0] mm_interconnect_2_mem0_avalon_slave_0_response;                 // MEM0:response -> mm_interconnect_2:MEM0_avalon_slave_0_response
	wire    [3:0] mm_interconnect_2_mem0_avalon_slave_0_burstcount;               // mm_interconnect_2:MEM0_avalon_slave_0_burstcount -> MEM0:burstcount
	wire          dut_p0_pld_warm_rst_rdy_wirelevel_pld_warm_rst_rdy;             // [] -> dut:p0_pld_warm_rst_rdy_i

	pcie_ed_BAR_INTERPRETER bar_interpreter (
		.Clk_i                       (dut_p0_app_clk_clk),                                             //   input,    width = 1,         clk.clk
		.Rstn_i                      (dut_p0_app_reset_status_n_reset),                                //   input,    width = 1,       reset.reset_n
		.bri_s_address_i             (mm_interconnect_1_bar_interpreter_bri_slave_address),            //   input,   width = 16,   bri_slave.address
		.bri_s_byteenable_i          (mm_interconnect_1_bar_interpreter_bri_slave_byteenable),         //   input,   width = 64,            .byteenable
		.bri_s_read_i                (mm_interconnect_1_bar_interpreter_bri_slave_read),               //   input,    width = 1,            .read
		.bri_s_readdata_o            (mm_interconnect_1_bar_interpreter_bri_slave_readdata),           //  output,  width = 512,            .readdata
		.bri_s_readdatavalid_o       (mm_interconnect_1_bar_interpreter_bri_slave_readdatavalid),      //  output,    width = 1,            .readdatavalid
		.bri_s_write_i               (mm_interconnect_1_bar_interpreter_bri_slave_write),              //   input,    width = 1,            .write
		.bri_s_writedata_i           (mm_interconnect_1_bar_interpreter_bri_slave_writedata),          //   input,  width = 512,            .writedata
		.bri_s_burstcount_i          (mm_interconnect_1_bar_interpreter_bri_slave_burstcount),         //   input,    width = 4,            .burstcount
		.bri_s_waitrequest_o         (mm_interconnect_1_bar_interpreter_bri_slave_waitrequest),        //  output,    width = 1,            .waitrequest
		.bri_s_response_o            (mm_interconnect_1_bar_interpreter_bri_slave_response),           //  output,    width = 2,            .response
		.bri_s_writeresponse_valid_o (mm_interconnect_1_bar_interpreter_bri_slave_writeresponsevalid), //  output,    width = 1,            .writeresponsevalid
		.bri_m_address_o             (bar_interpreter_bri_master_address),                             //  output,   width = 20,  bri_master.address
		.bri_m_read_o                (bar_interpreter_bri_master_read),                                //  output,    width = 1,            .read
		.bri_m_readdata_i            (bar_interpreter_bri_master_readdata),                            //   input,  width = 512,            .readdata
		.bri_m_readdatavalid_i       (bar_interpreter_bri_master_readdatavalid),                       //   input,    width = 1,            .readdatavalid
		.bri_m_write_o               (bar_interpreter_bri_master_write),                               //  output,    width = 1,            .write
		.bri_m_writedata_o           (bar_interpreter_bri_master_writedata),                           //  output,  width = 512,            .writedata
		.bri_m_waitrequest_i         (bar_interpreter_bri_master_waitrequest),                         //   input,    width = 1,            .waitrequest
		.bri_m_byteenable_o          (bar_interpreter_bri_master_byteenable),                          //  output,   width = 64,            .byteenable
		.bri_m_response_i            (bar_interpreter_bri_master_response),                            //   input,    width = 2,            .response
		.bri_m_burstcount_o          (bar_interpreter_bri_master_burstcount),                          //  output,    width = 4,            .burstcount
		.bri_s_bar_i                 (dut_p0_bam_conduit_barnum),                                      //   input,    width = 3, bri_conduit.barnum
		.bri_s_pfnum_i               (dut_p0_bam_conduit_pfnum)                                        //   input,    width = 2,            .pfnum
	);

	pcie_ed_DMA_CONTROLLER dma_controller (
		.Clk_i                 (dut_p0_app_clk_clk),                                       //   input,    width = 1,          clk.clk
		.Rstn_i                (dut_p0_app_reset_status_n_reset),                          //   input,    width = 1,        reset.reset_n
		.dma_s_address_i       (mm_interconnect_0_dma_controller_dma_slave_address),       //   input,   width = 12,    dma_slave.address
		.dma_s_read_i          (mm_interconnect_0_dma_controller_dma_slave_read),          //   input,    width = 1,             .read
		.dma_s_readdata_o      (mm_interconnect_0_dma_controller_dma_slave_readdata),      //  output,  width = 512,             .readdata
		.dma_s_readdatavalid_o (mm_interconnect_0_dma_controller_dma_slave_readdatavalid), //  output,    width = 1,             .readdatavalid
		.dma_s_write_i         (mm_interconnect_0_dma_controller_dma_slave_write),         //   input,    width = 1,             .write
		.dma_s_writedata_i     (mm_interconnect_0_dma_controller_dma_slave_writedata),     //   input,  width = 512,             .writedata
		.dma_s_waitrequest_o   (mm_interconnect_0_dma_controller_dma_slave_waitrequest),   //  output,    width = 1,             .waitrequest
		.dma_s_byteenable_i    (mm_interconnect_0_dma_controller_dma_slave_byteenable),    //   input,   width = 64,             .byteenable
		.dma_s_response_o      (mm_interconnect_0_dma_controller_dma_slave_response),      //  output,    width = 2,             .response
		.dma_s_burstcount_i    (mm_interconnect_0_dma_controller_dma_slave_burstcount),    //   input,    width = 4,             .burstcount
		.dma_wrdm_pfnum_i      (dut_p0_wrdm_conduit_pfnum),                                //   input,    width = 2, wrdm_conduit.pfnum
		.dma_wrdm_desc_ready_i (dma_controller_wrdm_desc_ready),                           //   input,    width = 1,    wrdm_desc.ready
		.dma_wrdm_desc_valid_o (dma_controller_wrdm_desc_valid),                           //  output,    width = 1,             .valid
		.dma_wrdm_desc_data_o  (dma_controller_wrdm_desc_data),                            //  output,  width = 174,             .data
		.dma_wrdm_prio_ready_i (dma_controller_wrdm_prio_ready),                           //   input,    width = 1,    wrdm_prio.ready
		.dma_wrdm_prio_valid_o (dma_controller_wrdm_prio_valid),                           //  output,    width = 1,             .valid
		.dma_wrdm_prio_data_o  (dma_controller_wrdm_prio_data),                            //  output,  width = 174,             .data
		.dma_wrdm_tx_valid_i   (dut_p0_wrdm_tx_valid),                                     //   input,    width = 1,      wrdm_tx.valid
		.dma_wrdm_tx_data_i    (dut_p0_wrdm_tx_data),                                      //   input,   width = 32,             .data
		.dma_rddm_pfnum_i      (dut_p0_rddm_conduit_pfnum),                                //   input,    width = 2, rddm_conduit.pfnum
		.dma_rddm_desc_ready_i (dma_controller_rddm_desc_ready),                           //   input,    width = 1,    rddm_desc.ready
		.dma_rddm_desc_valid_o (dma_controller_rddm_desc_valid),                           //  output,    width = 1,             .valid
		.dma_rddm_desc_data_o  (dma_controller_rddm_desc_data),                            //  output,  width = 174,             .data
		.dma_rddm_prio_ready_i (dma_controller_rddm_prio_ready),                           //   input,    width = 1,    rddm_prio.ready
		.dma_rddm_prio_valid_o (dma_controller_rddm_prio_valid),                           //  output,    width = 1,             .valid
		.dma_rddm_prio_data_o  (dma_controller_rddm_prio_data),                            //  output,  width = 174,             .data
		.dma_rddm_tx_valid_i   (dut_p0_rddm_tx_valid),                                     //   input,    width = 1,      rddm_tx.valid
		.dma_rddm_tx_data_i    (dut_p0_rddm_tx_data)                                       //   input,   width = 32,             .data
	);

	pcie_ed_MEM0 mem0 (
		.address        (mm_interconnect_2_mem0_avalon_slave_0_address),       //   input,    width = 9, avalon_slave_0.address
		.byteenable     (mm_interconnect_2_mem0_avalon_slave_0_byteenable),    //   input,   width = 64,               .byteenable
		.read           (mm_interconnect_2_mem0_avalon_slave_0_read),          //   input,    width = 1,               .read
		.burstcount     (mm_interconnect_2_mem0_avalon_slave_0_burstcount),    //   input,    width = 4,               .burstcount
		.readdata       (mm_interconnect_2_mem0_avalon_slave_0_readdata),      //  output,  width = 512,               .readdata
		.readdatavalid  (mm_interconnect_2_mem0_avalon_slave_0_readdatavalid), //  output,    width = 1,               .readdatavalid
		.response       (mm_interconnect_2_mem0_avalon_slave_0_response),      //  output,    width = 2,               .response
		.waitrequest    (mm_interconnect_2_mem0_avalon_slave_0_waitrequest),   //  output,    width = 1,               .waitrequest
		.clk            (dut_p0_app_clk_clk),                                  //   input,    width = 1,          clock.clk
		.reset          (~dut_p0_app_reset_status_n_reset),                    //   input,    width = 1,          reset.reset
		.address2       (mm_interconnect_0_mem0_avalon_slave_1_address),       //   input,    width = 9, avalon_slave_1.address
		.byteenable2    (mm_interconnect_0_mem0_avalon_slave_1_byteenable),    //   input,   width = 64,               .byteenable
		.read2          (mm_interconnect_0_mem0_avalon_slave_1_read),          //   input,    width = 1,               .read
		.write2         (mm_interconnect_0_mem0_avalon_slave_1_write),         //   input,    width = 1,               .write
		.writedata2     (mm_interconnect_0_mem0_avalon_slave_1_writedata),     //   input,  width = 512,               .writedata
		.burstcount2    (mm_interconnect_0_mem0_avalon_slave_1_burstcount),    //   input,    width = 4,               .burstcount
		.readdata2      (mm_interconnect_0_mem0_avalon_slave_1_readdata),      //  output,  width = 512,               .readdata
		.readdatavalid2 (mm_interconnect_0_mem0_avalon_slave_1_readdatavalid), //  output,    width = 1,               .readdatavalid
		.waitrequest2   (mm_interconnect_0_mem0_avalon_slave_1_waitrequest)    //  output,    width = 1,               .waitrequest
	);

	pcie_ed_dut dut (
		.p0_pld_link_req_rst_o   (),                                                   //  output,    width = 1,                        p0_pld.link_req_rst_n
		.rx_n_in0                (hip_serial_rx_n_in0),                                //   input,    width = 1,                    hip_serial.rx_n_in0
		.rx_n_in1                (hip_serial_rx_n_in1),                                //   input,    width = 1,                              .rx_n_in1
		.rx_n_in2                (hip_serial_rx_n_in2),                                //   input,    width = 1,                              .rx_n_in2
		.rx_n_in3                (hip_serial_rx_n_in3),                                //   input,    width = 1,                              .rx_n_in3
		.rx_n_in4                (hip_serial_rx_n_in4),                                //   input,    width = 1,                              .rx_n_in4
		.rx_n_in5                (hip_serial_rx_n_in5),                                //   input,    width = 1,                              .rx_n_in5
		.rx_n_in6                (hip_serial_rx_n_in6),                                //   input,    width = 1,                              .rx_n_in6
		.rx_n_in7                (hip_serial_rx_n_in7),                                //   input,    width = 1,                              .rx_n_in7
		.rx_n_in8                (hip_serial_rx_n_in8),                                //   input,    width = 1,                              .rx_n_in8
		.rx_n_in9                (hip_serial_rx_n_in9),                                //   input,    width = 1,                              .rx_n_in9
		.rx_n_in10               (hip_serial_rx_n_in10),                               //   input,    width = 1,                              .rx_n_in10
		.rx_n_in11               (hip_serial_rx_n_in11),                               //   input,    width = 1,                              .rx_n_in11
		.rx_n_in12               (hip_serial_rx_n_in12),                               //   input,    width = 1,                              .rx_n_in12
		.rx_n_in13               (hip_serial_rx_n_in13),                               //   input,    width = 1,                              .rx_n_in13
		.rx_n_in14               (hip_serial_rx_n_in14),                               //   input,    width = 1,                              .rx_n_in14
		.rx_n_in15               (hip_serial_rx_n_in15),                               //   input,    width = 1,                              .rx_n_in15
		.rx_p_in0                (hip_serial_rx_p_in0),                                //   input,    width = 1,                              .rx_p_in0
		.rx_p_in1                (hip_serial_rx_p_in1),                                //   input,    width = 1,                              .rx_p_in1
		.rx_p_in2                (hip_serial_rx_p_in2),                                //   input,    width = 1,                              .rx_p_in2
		.rx_p_in3                (hip_serial_rx_p_in3),                                //   input,    width = 1,                              .rx_p_in3
		.rx_p_in4                (hip_serial_rx_p_in4),                                //   input,    width = 1,                              .rx_p_in4
		.rx_p_in5                (hip_serial_rx_p_in5),                                //   input,    width = 1,                              .rx_p_in5
		.rx_p_in6                (hip_serial_rx_p_in6),                                //   input,    width = 1,                              .rx_p_in6
		.rx_p_in7                (hip_serial_rx_p_in7),                                //   input,    width = 1,                              .rx_p_in7
		.rx_p_in8                (hip_serial_rx_p_in8),                                //   input,    width = 1,                              .rx_p_in8
		.rx_p_in9                (hip_serial_rx_p_in9),                                //   input,    width = 1,                              .rx_p_in9
		.rx_p_in10               (hip_serial_rx_p_in10),                               //   input,    width = 1,                              .rx_p_in10
		.rx_p_in11               (hip_serial_rx_p_in11),                               //   input,    width = 1,                              .rx_p_in11
		.rx_p_in12               (hip_serial_rx_p_in12),                               //   input,    width = 1,                              .rx_p_in12
		.rx_p_in13               (hip_serial_rx_p_in13),                               //   input,    width = 1,                              .rx_p_in13
		.rx_p_in14               (hip_serial_rx_p_in14),                               //   input,    width = 1,                              .rx_p_in14
		.rx_p_in15               (hip_serial_rx_p_in15),                               //   input,    width = 1,                              .rx_p_in15
		.tx_n_out0               (hip_serial_tx_n_out0),                               //  output,    width = 1,                              .tx_n_out0
		.tx_n_out1               (hip_serial_tx_n_out1),                               //  output,    width = 1,                              .tx_n_out1
		.tx_n_out2               (hip_serial_tx_n_out2),                               //  output,    width = 1,                              .tx_n_out2
		.tx_n_out3               (hip_serial_tx_n_out3),                               //  output,    width = 1,                              .tx_n_out3
		.tx_n_out4               (hip_serial_tx_n_out4),                               //  output,    width = 1,                              .tx_n_out4
		.tx_n_out5               (hip_serial_tx_n_out5),                               //  output,    width = 1,                              .tx_n_out5
		.tx_n_out6               (hip_serial_tx_n_out6),                               //  output,    width = 1,                              .tx_n_out6
		.tx_n_out7               (hip_serial_tx_n_out7),                               //  output,    width = 1,                              .tx_n_out7
		.tx_n_out8               (hip_serial_tx_n_out8),                               //  output,    width = 1,                              .tx_n_out8
		.tx_n_out9               (hip_serial_tx_n_out9),                               //  output,    width = 1,                              .tx_n_out9
		.tx_n_out10              (hip_serial_tx_n_out10),                              //  output,    width = 1,                              .tx_n_out10
		.tx_n_out11              (hip_serial_tx_n_out11),                              //  output,    width = 1,                              .tx_n_out11
		.tx_n_out12              (hip_serial_tx_n_out12),                              //  output,    width = 1,                              .tx_n_out12
		.tx_n_out13              (hip_serial_tx_n_out13),                              //  output,    width = 1,                              .tx_n_out13
		.tx_n_out14              (hip_serial_tx_n_out14),                              //  output,    width = 1,                              .tx_n_out14
		.tx_n_out15              (hip_serial_tx_n_out15),                              //  output,    width = 1,                              .tx_n_out15
		.tx_p_out0               (hip_serial_tx_p_out0),                               //  output,    width = 1,                              .tx_p_out0
		.tx_p_out1               (hip_serial_tx_p_out1),                               //  output,    width = 1,                              .tx_p_out1
		.tx_p_out2               (hip_serial_tx_p_out2),                               //  output,    width = 1,                              .tx_p_out2
		.tx_p_out3               (hip_serial_tx_p_out3),                               //  output,    width = 1,                              .tx_p_out3
		.tx_p_out4               (hip_serial_tx_p_out4),                               //  output,    width = 1,                              .tx_p_out4
		.tx_p_out5               (hip_serial_tx_p_out5),                               //  output,    width = 1,                              .tx_p_out5
		.tx_p_out6               (hip_serial_tx_p_out6),                               //  output,    width = 1,                              .tx_p_out6
		.tx_p_out7               (hip_serial_tx_p_out7),                               //  output,    width = 1,                              .tx_p_out7
		.tx_p_out8               (hip_serial_tx_p_out8),                               //  output,    width = 1,                              .tx_p_out8
		.tx_p_out9               (hip_serial_tx_p_out9),                               //  output,    width = 1,                              .tx_p_out9
		.tx_p_out10              (hip_serial_tx_p_out10),                              //  output,    width = 1,                              .tx_p_out10
		.tx_p_out11              (hip_serial_tx_p_out11),                              //  output,    width = 1,                              .tx_p_out11
		.tx_p_out12              (hip_serial_tx_p_out12),                              //  output,    width = 1,                              .tx_p_out12
		.tx_p_out13              (hip_serial_tx_p_out13),                              //  output,    width = 1,                              .tx_p_out13
		.tx_p_out14              (hip_serial_tx_p_out14),                              //  output,    width = 1,                              .tx_p_out14
		.tx_p_out15              (hip_serial_tx_p_out15),                              //  output,    width = 1,                              .tx_p_out15
		.coreclkout_hip          (),                                                   //  output,    width = 1,                coreclkout_hip.clk
		.refclk0                 (refclk0_clk),                                        //   input,    width = 1,                       refclk0.clk
		.refclk1                 (refclk1_clk),                                        //   input,    width = 1,                       refclk1.clk
		.pin_perst_n             (pin_perst_pin_perst),                                //   input,    width = 1,                     pin_perst.pin_perst
		.ninit_done              (resetip_ninit_done_ninit_done),                      //   input,    width = 1,                    ninit_done.ninit_done
		.p0_app_clk              (dut_p0_app_clk_clk),                                 //  output,    width = 1,                    p0_app_clk.clk
		.p0_reset_status_n       (dut_p0_app_reset_status_n_reset),                    //  output,    width = 1,         p0_app_reset_status_n.reset_n
		.p0_tl_cfg_func_o        (),                                                   //  output,    width = 3,                p0_config_tl_o.tl_cfg_func
		.p0_tl_cfg_add_o         (),                                                   //  output,    width = 5,                              .tl_cfg_add
		.p0_tl_cfg_ctl_o         (),                                                   //  output,   width = 16,                              .tl_cfg_ctl
		.p0_wrdm_pfnum_o         (dut_p0_wrdm_conduit_pfnum),                          //  output,    width = 2,               p0_wrdm_conduit.pfnum
		.p0_wrdm_waitrequest_i   (dut_p0_wrdm_master_waitrequest),                     //   input,    width = 1,                p0_wrdm_master.waitrequest
		.p0_wrdm_read_o          (dut_p0_wrdm_master_read),                            //  output,    width = 1,                              .read
		.p0_wrdm_address_o       (dut_p0_wrdm_master_address),                         //  output,   width = 64,                              .address
		.p0_wrdm_burstcount_o    (dut_p0_wrdm_master_burstcount),                      //  output,    width = 4,                              .burstcount
		.p0_wrdm_byteenable_o    (dut_p0_wrdm_master_byteenable),                      //  output,   width = 64,                              .byteenable
		.p0_wrdm_readdatavalid_i (dut_p0_wrdm_master_readdatavalid),                   //   input,    width = 1,                              .readdatavalid
		.p0_wrdm_readdata_i      (dut_p0_wrdm_master_readdata),                        //   input,  width = 512,                              .readdata
		.p0_wrdm_response_i      (dut_p0_wrdm_master_response),                        //   input,    width = 2,                              .response
		.p0_wrdm_desc_ready_o    (dma_controller_wrdm_desc_ready),                     //  output,    width = 1,                  p0_wrdm_desc.ready
		.p0_wrdm_desc_valid_i    (dma_controller_wrdm_desc_valid),                     //   input,    width = 1,                              .valid
		.p0_wrdm_desc_data_i     (dma_controller_wrdm_desc_data),                      //   input,  width = 174,                              .data
		.p0_wrdm_prio_ready_o    (dma_controller_wrdm_prio_ready),                     //  output,    width = 1,                  p0_wrdm_prio.ready
		.p0_wrdm_prio_valid_i    (dma_controller_wrdm_prio_valid),                     //   input,    width = 1,                              .valid
		.p0_wrdm_prio_data_i     (dma_controller_wrdm_prio_data),                      //   input,  width = 174,                              .data
		.p0_wrdm_tx_valid_o      (dut_p0_wrdm_tx_valid),                               //  output,    width = 1,                    p0_wrdm_tx.valid
		.p0_wrdm_tx_data_o       (dut_p0_wrdm_tx_data),                                //  output,   width = 32,                              .data
		.p0_rddm_pfnum_o         (dut_p0_rddm_conduit_pfnum),                          //  output,    width = 2,               p0_rddm_conduit.pfnum
		.p0_rddm_waitrequest_i   (dut_p0_rddm_master_waitrequest),                     //   input,    width = 1,                p0_rddm_master.waitrequest
		.p0_rddm_write_o         (dut_p0_rddm_master_write),                           //  output,    width = 1,                              .write
		.p0_rddm_address_o       (dut_p0_rddm_master_address),                         //  output,   width = 64,                              .address
		.p0_rddm_burstcount_o    (dut_p0_rddm_master_burstcount),                      //  output,    width = 4,                              .burstcount
		.p0_rddm_byteenable_o    (dut_p0_rddm_master_byteenable),                      //  output,   width = 64,                              .byteenable
		.p0_rddm_writedata_o     (dut_p0_rddm_master_writedata),                       //  output,  width = 512,                              .writedata
		.p0_rddm_desc_ready_o    (dma_controller_rddm_desc_ready),                     //  output,    width = 1,                  p0_rddm_desc.ready
		.p0_rddm_desc_valid_i    (dma_controller_rddm_desc_valid),                     //   input,    width = 1,                              .valid
		.p0_rddm_desc_data_i     (dma_controller_rddm_desc_data),                      //   input,  width = 174,                              .data
		.p0_rddm_prio_ready_o    (dma_controller_rddm_prio_ready),                     //  output,    width = 1,                  p0_rddm_prio.ready
		.p0_rddm_prio_valid_i    (dma_controller_rddm_prio_valid),                     //   input,    width = 1,                              .valid
		.p0_rddm_prio_data_i     (dma_controller_rddm_prio_data),                      //   input,  width = 174,                              .data
		.p0_rddm_tx_valid_o      (dut_p0_rddm_tx_valid),                               //  output,    width = 1,                    p0_rddm_tx.valid
		.p0_rddm_tx_data_o       (dut_p0_rddm_tx_data),                                //  output,   width = 32,                              .data
		.p0_bam_pfnum_o          (dut_p0_bam_conduit_pfnum),                           //  output,    width = 2,                p0_bam_conduit.pfnum
		.p0_bam_bar_o            (dut_p0_bam_conduit_barnum),                          //  output,    width = 3,                              .barnum
		.p0_bam_waitrequest_i    (dut_p0_bam_master_waitrequest),                      //   input,    width = 1,                 p0_bam_master.waitrequest
		.p0_bam_address_o        (dut_p0_bam_master_address),                          //  output,   width = 64,                              .address
		.p0_bam_byteenable_o     (dut_p0_bam_master_byteenable),                       //  output,   width = 64,                              .byteenable
		.p0_bam_read_o           (dut_p0_bam_master_read),                             //  output,    width = 1,                              .read
		.p0_bam_readdata_i       (dut_p0_bam_master_readdata),                         //   input,  width = 512,                              .readdata
		.p0_bam_readdatavalid_i  (dut_p0_bam_master_readdatavalid),                    //   input,    width = 1,                              .readdatavalid
		.p0_bam_write_o          (dut_p0_bam_master_write),                            //  output,    width = 1,                              .write
		.p0_bam_writedata_o      (dut_p0_bam_master_writedata),                        //  output,  width = 512,                              .writedata
		.p0_bam_burstcount_o     (dut_p0_bam_master_burstcount),                       //  output,    width = 4,                              .burstcount
		.p0_bam_response_i       (dut_p0_bam_master_response),                         //   input,    width = 2,                              .response
		.p0_bus_master_enable_o  (),                                                   //  output,    width = 2,             p0_bus_master_ena.bus_master_enable
		.p0_pld_warm_rst_rdy_i   (dut_p0_pld_warm_rst_rdy_wirelevel_pld_warm_rst_rdy)  //   input,    width = 1, p0_pld_warm_rst_rdy_wirelevel.pld_warm_rst_rdy
	);

	pcie_ed_resetIP resetip (
		.ninit_done (resetip_ninit_done_ninit_done)  //  output,  width = 1, ninit_done.ninit_done
	);

	pcie_ed_altera_mm_interconnect_1920_tfv2hfa mm_interconnect_0 (
		.BAR_INTERPRETER_bri_master_address                                      (bar_interpreter_bri_master_address),                       //   input,   width = 20,                                        BAR_INTERPRETER_bri_master.address
		.BAR_INTERPRETER_bri_master_waitrequest                                  (bar_interpreter_bri_master_waitrequest),                   //  output,    width = 1,                                                                  .waitrequest
		.BAR_INTERPRETER_bri_master_burstcount                                   (bar_interpreter_bri_master_burstcount),                    //   input,    width = 4,                                                                  .burstcount
		.BAR_INTERPRETER_bri_master_byteenable                                   (bar_interpreter_bri_master_byteenable),                    //   input,   width = 64,                                                                  .byteenable
		.BAR_INTERPRETER_bri_master_read                                         (bar_interpreter_bri_master_read),                          //   input,    width = 1,                                                                  .read
		.BAR_INTERPRETER_bri_master_readdata                                     (bar_interpreter_bri_master_readdata),                      //  output,  width = 512,                                                                  .readdata
		.BAR_INTERPRETER_bri_master_readdatavalid                                (bar_interpreter_bri_master_readdatavalid),                 //  output,    width = 1,                                                                  .readdatavalid
		.BAR_INTERPRETER_bri_master_write                                        (bar_interpreter_bri_master_write),                         //   input,    width = 1,                                                                  .write
		.BAR_INTERPRETER_bri_master_writedata                                    (bar_interpreter_bri_master_writedata),                     //   input,  width = 512,                                                                  .writedata
		.BAR_INTERPRETER_bri_master_response                                     (bar_interpreter_bri_master_response),                      //  output,    width = 2,                                                                  .response
		.dut_p0_rddm_master_address                                              (dut_p0_rddm_master_address),                               //   input,   width = 64,                                                dut_p0_rddm_master.address
		.dut_p0_rddm_master_waitrequest                                          (dut_p0_rddm_master_waitrequest),                           //  output,    width = 1,                                                                  .waitrequest
		.dut_p0_rddm_master_burstcount                                           (dut_p0_rddm_master_burstcount),                            //   input,    width = 4,                                                                  .burstcount
		.dut_p0_rddm_master_byteenable                                           (dut_p0_rddm_master_byteenable),                            //   input,   width = 64,                                                                  .byteenable
		.dut_p0_rddm_master_write                                                (dut_p0_rddm_master_write),                                 //   input,    width = 1,                                                                  .write
		.dut_p0_rddm_master_writedata                                            (dut_p0_rddm_master_writedata),                             //   input,  width = 512,                                                                  .writedata
		.MEM0_avalon_slave_1_address                                             (mm_interconnect_0_mem0_avalon_slave_1_address),            //  output,    width = 9,                                               MEM0_avalon_slave_1.address
		.MEM0_avalon_slave_1_write                                               (mm_interconnect_0_mem0_avalon_slave_1_write),              //  output,    width = 1,                                                                  .write
		.MEM0_avalon_slave_1_read                                                (mm_interconnect_0_mem0_avalon_slave_1_read),               //  output,    width = 1,                                                                  .read
		.MEM0_avalon_slave_1_readdata                                            (mm_interconnect_0_mem0_avalon_slave_1_readdata),           //   input,  width = 512,                                                                  .readdata
		.MEM0_avalon_slave_1_writedata                                           (mm_interconnect_0_mem0_avalon_slave_1_writedata),          //  output,  width = 512,                                                                  .writedata
		.MEM0_avalon_slave_1_burstcount                                          (mm_interconnect_0_mem0_avalon_slave_1_burstcount),         //  output,    width = 4,                                                                  .burstcount
		.MEM0_avalon_slave_1_byteenable                                          (mm_interconnect_0_mem0_avalon_slave_1_byteenable),         //  output,   width = 64,                                                                  .byteenable
		.MEM0_avalon_slave_1_readdatavalid                                       (mm_interconnect_0_mem0_avalon_slave_1_readdatavalid),      //   input,    width = 1,                                                                  .readdatavalid
		.MEM0_avalon_slave_1_waitrequest                                         (mm_interconnect_0_mem0_avalon_slave_1_waitrequest),        //   input,    width = 1,                                                                  .waitrequest
		.DMA_CONTROLLER_dma_slave_address                                        (mm_interconnect_0_dma_controller_dma_slave_address),       //  output,   width = 12,                                          DMA_CONTROLLER_dma_slave.address
		.DMA_CONTROLLER_dma_slave_write                                          (mm_interconnect_0_dma_controller_dma_slave_write),         //  output,    width = 1,                                                                  .write
		.DMA_CONTROLLER_dma_slave_read                                           (mm_interconnect_0_dma_controller_dma_slave_read),          //  output,    width = 1,                                                                  .read
		.DMA_CONTROLLER_dma_slave_readdata                                       (mm_interconnect_0_dma_controller_dma_slave_readdata),      //   input,  width = 512,                                                                  .readdata
		.DMA_CONTROLLER_dma_slave_writedata                                      (mm_interconnect_0_dma_controller_dma_slave_writedata),     //  output,  width = 512,                                                                  .writedata
		.DMA_CONTROLLER_dma_slave_burstcount                                     (mm_interconnect_0_dma_controller_dma_slave_burstcount),    //  output,    width = 4,                                                                  .burstcount
		.DMA_CONTROLLER_dma_slave_byteenable                                     (mm_interconnect_0_dma_controller_dma_slave_byteenable),    //  output,   width = 64,                                                                  .byteenable
		.DMA_CONTROLLER_dma_slave_readdatavalid                                  (mm_interconnect_0_dma_controller_dma_slave_readdatavalid), //   input,    width = 1,                                                                  .readdatavalid
		.DMA_CONTROLLER_dma_slave_waitrequest                                    (mm_interconnect_0_dma_controller_dma_slave_waitrequest),   //   input,    width = 1,                                                                  .waitrequest
		.DMA_CONTROLLER_dma_slave_response                                       (mm_interconnect_0_dma_controller_dma_slave_response),      //   input,    width = 2,                                                                  .response
		.BAR_INTERPRETER_reset_reset_bridge_in_reset_reset                       (~dut_p0_app_reset_status_n_reset),                         //   input,    width = 1,                       BAR_INTERPRETER_reset_reset_bridge_in_reset.reset
		.BAR_INTERPRETER_bri_master_translator_reset_reset_bridge_in_reset_reset (~dut_p0_app_reset_status_n_reset),                         //   input,    width = 1, BAR_INTERPRETER_bri_master_translator_reset_reset_bridge_in_reset.reset
		.dut_p0_app_clk_clk                                                      (dut_p0_app_clk_clk)                                        //   input,    width = 1,                                                    dut_p0_app_clk.clk
	);

	pcie_ed_altera_mm_interconnect_1920_b4k4ufq mm_interconnect_1 (
		.dut_p0_bam_master_address                                      (dut_p0_bam_master_address),                                      //   input,   width = 64,                                        dut_p0_bam_master.address
		.dut_p0_bam_master_waitrequest                                  (dut_p0_bam_master_waitrequest),                                  //  output,    width = 1,                                                         .waitrequest
		.dut_p0_bam_master_burstcount                                   (dut_p0_bam_master_burstcount),                                   //   input,    width = 4,                                                         .burstcount
		.dut_p0_bam_master_byteenable                                   (dut_p0_bam_master_byteenable),                                   //   input,   width = 64,                                                         .byteenable
		.dut_p0_bam_master_read                                         (dut_p0_bam_master_read),                                         //   input,    width = 1,                                                         .read
		.dut_p0_bam_master_readdata                                     (dut_p0_bam_master_readdata),                                     //  output,  width = 512,                                                         .readdata
		.dut_p0_bam_master_readdatavalid                                (dut_p0_bam_master_readdatavalid),                                //  output,    width = 1,                                                         .readdatavalid
		.dut_p0_bam_master_write                                        (dut_p0_bam_master_write),                                        //   input,    width = 1,                                                         .write
		.dut_p0_bam_master_writedata                                    (dut_p0_bam_master_writedata),                                    //   input,  width = 512,                                                         .writedata
		.dut_p0_bam_master_response                                     (dut_p0_bam_master_response),                                     //  output,    width = 2,                                                         .response
		.BAR_INTERPRETER_bri_slave_address                              (mm_interconnect_1_bar_interpreter_bri_slave_address),            //  output,   width = 16,                                BAR_INTERPRETER_bri_slave.address
		.BAR_INTERPRETER_bri_slave_write                                (mm_interconnect_1_bar_interpreter_bri_slave_write),              //  output,    width = 1,                                                         .write
		.BAR_INTERPRETER_bri_slave_read                                 (mm_interconnect_1_bar_interpreter_bri_slave_read),               //  output,    width = 1,                                                         .read
		.BAR_INTERPRETER_bri_slave_readdata                             (mm_interconnect_1_bar_interpreter_bri_slave_readdata),           //   input,  width = 512,                                                         .readdata
		.BAR_INTERPRETER_bri_slave_writedata                            (mm_interconnect_1_bar_interpreter_bri_slave_writedata),          //  output,  width = 512,                                                         .writedata
		.BAR_INTERPRETER_bri_slave_burstcount                           (mm_interconnect_1_bar_interpreter_bri_slave_burstcount),         //  output,    width = 4,                                                         .burstcount
		.BAR_INTERPRETER_bri_slave_byteenable                           (mm_interconnect_1_bar_interpreter_bri_slave_byteenable),         //  output,   width = 64,                                                         .byteenable
		.BAR_INTERPRETER_bri_slave_readdatavalid                        (mm_interconnect_1_bar_interpreter_bri_slave_readdatavalid),      //   input,    width = 1,                                                         .readdatavalid
		.BAR_INTERPRETER_bri_slave_waitrequest                          (mm_interconnect_1_bar_interpreter_bri_slave_waitrequest),        //   input,    width = 1,                                                         .waitrequest
		.BAR_INTERPRETER_bri_slave_response                             (mm_interconnect_1_bar_interpreter_bri_slave_response),           //   input,    width = 2,                                                         .response
		.BAR_INTERPRETER_bri_slave_writeresponsevalid                   (mm_interconnect_1_bar_interpreter_bri_slave_writeresponsevalid), //   input,    width = 1,                                                         .writeresponsevalid
		.BAR_INTERPRETER_reset_reset_bridge_in_reset_reset              (~dut_p0_app_reset_status_n_reset),                               //   input,    width = 1,              BAR_INTERPRETER_reset_reset_bridge_in_reset.reset
		.dut_p0_bam_master_translator_reset_reset_bridge_in_reset_reset (~dut_p0_app_reset_status_n_reset),                               //   input,    width = 1, dut_p0_bam_master_translator_reset_reset_bridge_in_reset.reset
		.dut_p0_app_clk_clk                                             (dut_p0_app_clk_clk)                                              //   input,    width = 1,                                           dut_p0_app_clk.clk
	);

	pcie_ed_altera_mm_interconnect_1920_jn5blyq mm_interconnect_2 (
		.dut_p0_wrdm_master_address                                      (dut_p0_wrdm_master_address),                          //   input,   width = 64,                                        dut_p0_wrdm_master.address
		.dut_p0_wrdm_master_waitrequest                                  (dut_p0_wrdm_master_waitrequest),                      //  output,    width = 1,                                                          .waitrequest
		.dut_p0_wrdm_master_burstcount                                   (dut_p0_wrdm_master_burstcount),                       //   input,    width = 4,                                                          .burstcount
		.dut_p0_wrdm_master_byteenable                                   (dut_p0_wrdm_master_byteenable),                       //   input,   width = 64,                                                          .byteenable
		.dut_p0_wrdm_master_read                                         (dut_p0_wrdm_master_read),                             //   input,    width = 1,                                                          .read
		.dut_p0_wrdm_master_readdata                                     (dut_p0_wrdm_master_readdata),                         //  output,  width = 512,                                                          .readdata
		.dut_p0_wrdm_master_readdatavalid                                (dut_p0_wrdm_master_readdatavalid),                    //  output,    width = 1,                                                          .readdatavalid
		.dut_p0_wrdm_master_response                                     (dut_p0_wrdm_master_response),                         //  output,    width = 2,                                                          .response
		.MEM0_avalon_slave_0_address                                     (mm_interconnect_2_mem0_avalon_slave_0_address),       //  output,    width = 9,                                       MEM0_avalon_slave_0.address
		.MEM0_avalon_slave_0_read                                        (mm_interconnect_2_mem0_avalon_slave_0_read),          //  output,    width = 1,                                                          .read
		.MEM0_avalon_slave_0_readdata                                    (mm_interconnect_2_mem0_avalon_slave_0_readdata),      //   input,  width = 512,                                                          .readdata
		.MEM0_avalon_slave_0_burstcount                                  (mm_interconnect_2_mem0_avalon_slave_0_burstcount),    //  output,    width = 4,                                                          .burstcount
		.MEM0_avalon_slave_0_byteenable                                  (mm_interconnect_2_mem0_avalon_slave_0_byteenable),    //  output,   width = 64,                                                          .byteenable
		.MEM0_avalon_slave_0_readdatavalid                               (mm_interconnect_2_mem0_avalon_slave_0_readdatavalid), //   input,    width = 1,                                                          .readdatavalid
		.MEM0_avalon_slave_0_waitrequest                                 (mm_interconnect_2_mem0_avalon_slave_0_waitrequest),   //   input,    width = 1,                                                          .waitrequest
		.MEM0_avalon_slave_0_response                                    (mm_interconnect_2_mem0_avalon_slave_0_response),      //   input,    width = 2,                                                          .response
		.MEM0_reset_reset_bridge_in_reset_reset                          (~dut_p0_app_reset_status_n_reset),                    //   input,    width = 1,                          MEM0_reset_reset_bridge_in_reset.reset
		.dut_p0_wrdm_master_translator_reset_reset_bridge_in_reset_reset (~dut_p0_app_reset_status_n_reset),                    //   input,    width = 1, dut_p0_wrdm_master_translator_reset_reset_bridge_in_reset.reset
		.dut_p0_app_clk_clk                                              (dut_p0_app_clk_clk)                                   //   input,    width = 1,                                            dut_p0_app_clk.clk
	);

	assign dut_p0_pld_warm_rst_rdy_wirelevel_pld_warm_rst_rdy=1'b1;

endmodule
